package com.jasamedika.medifirst2000.service;

import java.util.List;
import java.util.Map;

import com.jasamedika.medifirst2000.entities.StrukPelayananDetail;
import com.jasamedika.medifirst2000.vo.HeadAnggaranVO;
import com.jasamedika.medifirst2000.vo.VerifikasiSpekAnggaranVO;

public interface AnggaranService extends BaseAnggaranService {

	public Map<String, Object> savePengajuanUsulanAnggaranBaru(HeadAnggaranVO vo);

	public Map<String, Object> gedProdukByNama(String namaProduk);

	public String GenerateKdHeadAnggaran();

	public List<StrukPelayananDetail> findStrukPelayananDetailIdPeriode(String namaProduk, String periodeAwal,
			String periodeAhir);

	public Map<String, Object> saveVerifikasiSpekAnggaran(VerifikasiSpekAnggaranVO vo);

	Map<String, Object> detailSpekAnggaran(Integer page, Integer limit, String sort, String dir, String dateStart,
			String dateEnd, Integer tahun, String gridFor, Integer pengenaliId);

	Map<String, Object> saveUnVerifikasiSpekAnggaran(VerifikasiSpekAnggaranVO verifikasiSpekAnggaranVO);

	public Map<String, Object> getJenisProduk();

	public Map<String, Object> editPengajuanUsulanAnggaran(HeadAnggaranVO vo, String noRec);

	public Map<String, Object> findPengajuanUsulanAnggaranByNoRec(String noRec);

	public Map<String, Object> getDetailAnggaran(Integer page, Integer limit, String sort, String dir, String dateStart,
			String dateEnd, Integer tahun, Integer pengendaliId);

}
